import * as d3 from 'd3';
import { Mark } from './Mark';
import { MapModel } from './MapModel';
export declare class Map extends Mark {
    render(): Promise<void>;
    set_ranges(): void;
    relayout(): void;
    set_positional_scales(): void;
    initialize_additional_scales(): void;
    remove_map(): void;
    draw(): void;
    validate_color(color: any): boolean;
    mouseover_handler(): void;
    mouseout_handler(): void;
    click_handler(): void;
    reset_zoom(that: any): void;
    zoomed(that: any): void;
    create_listeners(): void;
    process_click(interaction: any): void;
    process_hover(interaction: any): void;
    change_selected_fill(): void;
    change_selected_stroke(): void;
    change_selected(): void;
    reset_selection(): void;
    change_stroke_color(): void;
    change_map_color(): void;
    update_style(): void;
    is_object_empty(object: any): boolean;
    hoverfill(d: any, j: any): any;
    fill_g_colorfill(d: any, j: any): any;
    clear_style(): void;
    compute_view_padding(): void;
    set_default_style(): void;
    set_style_on_elements(): void;
    map: d3.Selection<SVGSVGElement, any, any, any>;
    map_id: string;
    width: number;
    height: number;
    enable_hover: boolean;
    stroke_g: d3.Selection<SVGGElement, any, any, any>;
    fill_g: d3.Selection<SVGGElement, any, any, any>;
    highlight_g: d3.Selection<SVGGElement, any, any, any>;
    transformed_g: d3.Selection<SVGGElement, any, any, any>;
    zoom: d3.ZoomBehavior<Element, any>;
    model: MapModel;
}
